Subject: Re: bug#10885: Replace expressions: enhance functionality when searching in filled paragraphs

From: Juri Linkov <[email-masked]>
Date: Thu, 06 Sep 2012 22:11:33 +0300

> But I meant to bind `M-s SPC' not while reading the arguments, but
> right after that, i.e. during the interactive replacing.

If you meant `query-replace-map' then it lacks other isearch
keybindings too, e.g. toggling case-fold, regexp and word mode.
It has a similar feature to edit the replacement string but it's bound
to the `E' key unlike `M-e' to edit the search string in isearch.

> But I don't meant that.  What I want is the possibility to have these
> two variables "synchronized" or "connected" at every moment, even
> after toggling its value with `M-s SPC'.  IOW: make Isearch and
> query-replace _share_ the same setting (at every moment).

They are already shared and synchronized when you run query-replace
from isearch like e.g. `C-s replace this M-w SPC M-%'.